Set an application's fee state as paid
Marks an application fee as paid. This does not create a transaction or process a payment — it only updates the fee state. Use this for manual reconciliation when payment was received outside Full Fabric (e.g. by bank transfer).
Path Parameters
- Type: stringapplication
_id requiredUnique identifier of the application.
Responses
- application/json
- application/json
- application/json
- application/json
Request Example for post/apis/applics/applics/{application_id}/fees/pay
curl https://ff-business-school.fullfabric.cloud/apis/applics/applics/507f1f77bcf86cd799439011/fees/pay \
--request POST \
--header 'FF-Auth: YOUR_SECRET_TOKEN'
{
"amount": 10000,
"currency": "GBP",
"subtotal": 10000,
"total_discount": 0,
"total": 10000,
"discounts": [],
"paid_at": 1744675200,
"waived_at": null,
"restarted_at": null,
"waived_by": null,
"paid_by": "6385baa4976a771912000511",
"restarted_by": null,
"transaction": null,
"state": "paid"
}